Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06029 Crash/Freeze Critical (emulation) Always Sep 9, 2015, 20:22 Sep 10, 2015, 17:57
Tester kazblox View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver cclimber.cpp
Version 0.165 Fixed in Version 0.166 Build Normal
Summary 06029: yamato: game is broken [2 bugs]
Description Bug 1:
Hinders yamato from working. After starting the game it crashes.

Bug 2:
If a ship explodes, the graphics will glitch.
Steps To Reproduce For the crash:
1. Insert Credits
2. Press Player 1 button
3. Crash.

For the explosion graphics handling bug:
1. Wait around attract mode until a ship explodes
2. Explosion graphics severely glitch.
Additional Information Mentioned bugs do not effect set yamato2. It used to work before 0.165, so it must be a regression.
Flags
Regression Version 0.164
Affected Sets / Systems yamato
Attached Files
png file icon crash1.png (5,916 bytes) Sep 9, 2015, 20:22 Uploaded by kazblox
kazblox
png file icon 2.png (9,468 bytes) Sep 9, 2015, 20:22 Uploaded by kazblox
kazblox
Relationships
There are no relationsihp linked to this issue.
Notes
1
User avatar
No.12010
Tafoid
Administrator
Sep 9, 2015, 20:34
edited on: Sep 9, 2015, 20:34
Regressed August 24, 2015 along with several other sets over many drivers involving decryption and memory:
https://github.com/mamedev/mame/commit/88949a5b47798b3c82851c31b6f801e4fb8ca06f

Both issues are caused by the same regression, it appears.